/**
 * EpicMusicPlayer Playlistgenerator
 *
 * @author yess
 */

package gui;

import playlist.Song;
import java.util.ArrayList;
import javax.swing.table.AbstractTableModel;


public class TableModel extends AbstractTableModel{

    private ArrayList<Song> cData;
    private String[] cCol;
    
    public TableModel(ArrayList<Song> data ){
        cData = data;
        cCol = new String[]{"Nr","Artist","Title","Album","Length","Path"};
    }
    
    public int getRowCount() {
        return cData.size();
    }

    public int getColumnCount() {
        return cCol.length;
    }

    @Override
    public String getColumnName(int columnIndex)
    {
        return cCol[columnIndex];
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex){
        switch (columnIndex) {
            case 1:
                return true;    
            case 2:
                return true;
            case 3:
                return true;
        } 
        return false;
    }
    
    public Object getValueAt(int rowIndex, int columnIndex) {
              
        Object o = null;
        switch (columnIndex) {
            case 0:
                o = rowIndex;
                break;
            case 1:
                o = cData.get(rowIndex).getSongArtist();    
                break;
            case 2:
                o = cData.get(rowIndex).getMp3Title();                 
                break;
            case 3:
                o = cData.get(rowIndex).getSongAlbum();                 
                break;
            case 4:
                o = cData.get(rowIndex).getSongTime();                 
                break;
            case 5:
                o = cData.get(rowIndex).getsongPath();                 
                break;
                
                
        }
        return o;
    }
    
    public ArrayList getList()
    {
        return cData;
    }
    
    public Song getContact(int index)
    {
        return cData.get(index);
    }
    

    
    @Override
    public void setValueAt(Object o, int rowIndex, int columnIndex) {
       
        switch (columnIndex) {
            case 0:
                break;
            case 1:
                cData.get(rowIndex).setSongArtist(o.toString());    
                break;
            case 2:
                cData.get(rowIndex).setMp3Title(o.toString());                 
                break;
            case 3:
                cData.get(rowIndex).setSongAlbum(o.toString());                 
                break;
        } 
    }
    
}
